Bug 802255 - Date truncation in GnomeDateEdit
Summary: Date truncation in GnomeDateEdit
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: libgnomeui
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-12 08:30 UTC by Lijun Li
Modified: 2019-06-27 21:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-20 03:11:14 UTC


Attachments (Terms of Use)
Locale Date truncation in Date Filter tab. (59.39 KB, image/png)
2012-03-12 08:44 UTC, Lijun Li
no flags Details
Minimal reproducer - just let a GnomeDateEdit choose a size. (270 bytes, text/plain)
2012-09-21 16:24 UTC, Miloslav Trmač
no flags Details

Description Lijun Li 2012-03-12 08:30:15 UTC
Description of problem:
Date truncation in Date Filter tab of 'List/Report Properties' window.

Version-Release number of selected component (if applicable):
audit-viewer-0.7.3-1.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install Fedora-17-Nightly-20120305.08-x86_64-Live-desktop.iso from 
http://alt.fedoraproject.org/pub/alt/nightly-composes/

2. Run command audit-viewer
* If not installed, As root run "yum install audit-viewer" 

3. Select 'List -> Properties' menu in 'Audit Viewer' main window.

4. Select 'Date Filter' tab, check 'Limit to events not earlier than/befor:' checkbox, and select the date from the drop-down calendar.
  
Actual results:
Date truncation in Date Filter tab of 'List/Report Properties' window.

Expected results:
The locale date should be displayed fully & correctly.

Additional info:

Comment 1 Lijun Li 2012-03-12 08:44:59 UTC
Created attachment 569306 [details]
Locale Date truncation in Date Filter tab.

Comment 2 H.Ramli 2012-04-18 10:31:21 UTC
Comment on attachment 569306 [details]
Locale Date truncation in Date Filter tab.

ram5252@ovi.com

Comment 3 Miloslav Trmač 2012-09-21 16:24:14 UTC
Created attachment 615497 [details]
Minimal reproducer - just let a GnomeDateEdit choose a size.

Thanks for your report.

Attached is a minimal reproducer, run
> LC_ALL=zh_CN.UTF-8 python testcalendar.py

Comment 4 Miloslav Trmač 2012-09-21 16:27:15 UTC
This is a libgnomeui bug, looking at http://git.gnome.org/browse/libgnomeui/tree/libgnomeui/gnome-dateedit.c#n769:
> 	gtk_widget_set_size_request (gde->_priv->date_entry, 90, -1);
the date edit field always uses a fixed size.

(audit-viewer could work this around by setting a larger fixed size, but that wouldn't actually fix the problem, and it's not obvious what size to use.)

Comment 5 Fedora End Of Life 2013-07-04 03:04:50 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Miloslav Trmač 2013-07-04 13:33:18 UTC
Reproduced with libgnomeui-2.24.5-5.fc18.x86_64.

Comment 7 Fedora End Of Life 2013-12-21 08:33:57 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Miloslav Trmač 2014-01-02 16:23:10 UTC
Reproduced with libgnomeui-2.24.5-6.fc19.x86_64 .

Comment 9 Fedora End Of Life 2015-01-09 17:03:56 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Miloslav Trmač 2015-01-09 17:46:58 UTC
Reproduced with libgnomeui-2.24.5-7.fc20.x86_64.

Comment 11 Fedora End Of Life 2015-05-29 08:43:15 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Miloslav Trmač 2015-06-03 17:12:56 UTC
Reproduced with libgnomeui-2.24.5-10.fc22.x86_64 .

Comment 13 Satyabrata Maitra 2016-05-30 07:06:30 UTC
In my observation, actually, its not physically truncated due to the restricted space in this field, rather, if user uses the right or left arrow key, the entire date format is visible.

Use the Arrow keys to view the entire date format.

The only thing is that the Date field is not too stretched horizontally to accommodate the entire date format at a stretch.

I think, it is under permitted functionality. Not considering it as Bug.

Comment 14 Miloslav Trmač 2016-05-30 14:27:24 UTC
(In reply to Satyabrata Maitra from comment #13)
> In my observation, actually, its not physically truncated due to the
> restricted space in this field, rather, if user uses the right or left arrow
> key, the entire date format is visible.

That’s a very weak workaround, really not good enough. The GTK layout model is built around auto-sizing, and autosizing the date field should be quite possible.

Comment 15 Fedora End Of Life 2016-07-19 19:25:48 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 16 Miloslav Trmač 2016-07-22 18:18:09 UTC
Reproduced with libgnomeui-2.24.5-12.fc24.x86_64 .

Comment 17 Fedora End Of Life 2017-07-25 18:29:47 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2017-08-08 11:40:29 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 19 sachin 2017-08-24 10:22:10 UTC
This issue is not reproducible in F25 and F26, recommended to use fedora 25/26

Comment 20 Miloslav Trmač 2017-08-24 13:29:33 UTC
No, reproduced again with libgnomeui-2.24.5-13.fc26.x86_64 .

Comment 21 ompragash 2018-03-20 03:11:14 UTC
Reproduced with libgnomeui.x86_64 2.24.5-16.fc27

Comment 22 Miloslav Trmač 2018-03-22 14:19:04 UTC
(In reply to ompragash from comment #21)
> Reproduced with libgnomeui.x86_64 2.24.5-16.fc27

I assume that you did not intend to close the bug if you can reproduce it (and I can’t see any updates in the commit history that would suggest that this has been fixed); reopening against F27, then.

Comment 23 Bhushan Barve 2018-08-16 11:46:17 UTC
Reproducible in F28. Changing the version accordingly.

Comment 24 Parag Nemade 2019-03-28 11:14:35 UTC
I am not sure what people are expecting from this bug here. The tool that has been used is audit-viewer which is gnome2 and python2 specific tool in Fedora. It is not a part of Fedora Workstation install also.

mitr,
I wonder do you use this package on Fedora Workstation?

Comment 25 Miloslav Trmač 2019-03-28 15:14:16 UTC
audit-viewer is irrelevant; this is a libgnomeui bug, with a minimal reproducer and a pointer to the exact line that is buggy.

Originally I expected the Fedora package maintainer to follow https://fedoraproject.org/wiki/Package_maintainer_responsibilities#Deal_with_reported_bugs_in_a_timely_manner .

Now, I expect nothing and I am not going to spend any extra effort re-confirming the bug. The reproducer is attached for anyone to use.

Comment 26 Jens Petersen 2019-03-29 09:55:37 UTC
Basically this is GNOME 2 - I doubt it will ever get fixed.

I would suggest closing this WONTFIX or DEFERRED.

Comment 27 Jens Petersen 2019-03-29 09:59:15 UTC
Conversely it is quite possible that audit-viewer is the only packages affected by this bug.

Comment 28 Jens Petersen 2019-03-29 10:01:49 UTC
$ dnf repoquery --whatrequires 'libgnomeui-2.so.0()(64bit)' | wc -l
43
$ dnf repoquery --whatrequires gnome-python2-gnome | wc -l
10


Note You need to log in before you can comment on or make changes to this bug.